package qywxapi

import (
	"git.rosy.net.cn/baseapi/utils"
	"testing"
)

func TestGetProviderToken(t *testing.T) {
	result, err := api.GetProviderToken()
	if err != nil {
		t.Fatal(err.Error())
	}
	sugarLogger.Debug(result)
}

func TestToken(t *testing.T) {
	result, err := api.GetToken()
	if err != nil {
		t.Fatal(err.Error())
	}
	sugarLogger.Debug(result)
}

func TestGroupchatList(t *testing.T) {
	result, err := api.GroupchatList("", 20)
	if err != nil {
		t.Fatal(err.Error())
	}
	t.Log(utils.Format4Output(result, false))
}

func TestGroupchat(t *testing.T) {
	result, err := api.Groupchat("wr0oKiEAAAAi7dreYASbygbXrWtNxbNg")
	if err != nil {
		t.Fatal(err.Error())
	}
	t.Log(utils.Format4Output(result, false))
}
